Index: theoryview/perspectives/theory/model_panel.py
===================================================================
--- theoryview/perspectives/theory/model_panel.py	(revision d7b7156f5e3396b66f5f4b5c4a366e887b25df32)
+++ theoryview/perspectives/theory/model_panel.py	(revision 2f60121365e0ece9b765fb57a132cf4e4b3a15a4)
@@ -5,16 +5,18 @@
 import copy
 import math
-from sans.models.dispersion_models import ArrayDispersion, GaussianDispersion
-
+from sans.guiframe.panel_base import PanelBase
+from sans.models.dispersion_models import ArrayDispersion
+from sans.models.dispersion_models import GaussianDispersion
 from sans.guicomm.events import StatusEvent   
 from sans.guiframe.utils import format_number
-(ModelEventbox, EVT_MODEL_BOX) = wx.lib.newevent.NewEvent()
-_BOX_WIDTH = 76
-
 import basepage
 from basepage import BasicPage
 from basepage import PageInfoEvent
-
-class ModelPanel(BasicPage):
+(ModelEventbox, EVT_MODEL_BOX) = wx.lib.newevent.NewEvent()
+
+_BOX_WIDTH = 76
+
+
+class ModelPanel(BasicPage, PanelBase):
     """
     FitPanel class contains fields allowing to display results when
@@ -30,6 +32,8 @@
     ## Title to appear on top of the window
     window_caption = "Theory Model"
-    def __init__(self,parent, page_info, model_list_box):
-        BasicPage.__init__(self, parent, page_info , model_list_box)
+    
+    def __init__(self, parent, page_info, model_list_box):
+        BasicPage.__init__(self, parent, page_info, model_list_box)
+        PanelBase.__init__(self)
         """ 
         Initialization of the Panel
@@ -38,12 +42,9 @@
         self._fill_range_sizer()
         self.engine_type = None 
-         
-        description=""
-        if self.model!=None:
-            
+        description = ""
+        if self.model != None:
             description = self.model.description
-            
             self.select_model(self.model)
-            self.set_model_description(description,self.sizer2)
+            self.set_model_description(description, self.sizer2)
             
     def _on_display_description(self, event):
@@ -55,6 +56,5 @@
         """
         self._on_display_description_helper()
-        
-        self.SetScrollbars(20,20,25,65)
+        self.SetScrollbars(20, 20, 25, 65)
         self.Refresh()
 
@@ -69,16 +69,14 @@
         if self.description_hide.GetValue():
             self.sizer_description.Clear(True)
-            
         else:
             description="Model contains no description"
-            if self.model!=None:
+            if self.model != None:
                 description = self.model.description
-            if description.lstrip().rstrip() =="": 
+            if description.lstrip().rstrip() == "": 
                 description="Model contains no description"
-            self.description = wx.StaticText( self,-1,str(description) )
-            self.sizer_description.Add( self.description, 1, wx.EXPAND | wx.ALL, 10 )
-           
+            self.description = wx.StaticText(self, -1, str(description))
+            self.sizer_description.Add(self.description, 1, 
+                                       wx.EXPAND|wx.ALL, 10)
         self.Layout()
-    
     
     def _fill_range_sizer(self):
@@ -90,18 +88,18 @@
         ##The following 3 lines are for Mac. Let JHC know before modifying..
         title = "Plotted Q Range"
-        box_description= wx.StaticBox(self, -1,str(title))
+        box_description = wx.StaticBox(self, -1, str(title))
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
 
-        sizer_npts= wx.GridSizer(1, 1,5, 5)    
-        self.npts    = self.ModelTextCtrl(self, -1,size=(_BOX_WIDTH,20), style=wx.TE_PROCESS_ENTER)
+        sizer_npts= wx.GridSizer(1, 1, 5, 5)    
+        self.npts    = self.ModelTextCtrl(self, -1, size=(_BOX_WIDTH, 20), 
+                                          style=wx.TE_PROCESS_ENTER)
         self.npts.SetValue(format_number(self.num_points))
         self.npts.SetToolTipString("Number of point to plot.")
-        
-        sizer_npts.Add(wx.StaticText(self, -1, 'Npts'),1, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 13)        
-
-        sizer_npts.Add(self.npts,1,wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 10) 
-        self._set_range_sizer( title=title, box_sizer=boxsizer1, object= sizer_npts)
-       
-       
+        sizer_npts.Add(wx.StaticText(self, -1, 'Npts'), 1, 
+                       wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 13)        
+        sizer_npts.Add(self.npts, 1, wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 10) 
+        self._set_range_sizer(title=title, box_sizer=boxsizer1, 
+                              object=sizer_npts)
+    
     def _on_select_model(self, event): 
         """
@@ -114,5 +112,4 @@
         self.select_model(self.model)
         
-       
     def _fill_model_sizer(self, sizer):
         """
@@ -122,16 +119,14 @@
         ##The following 3 lines are for Mac. Let JHC know before modifying..
         title = "Model"
-        box_description= wx.StaticBox(self, -1,str(title))
+        box_description = wx.StaticBox(self, -1, str(title))
         boxsizer1 = wx.StaticBoxSizer(box_description, wx.VERTICAL)
-        
         id = wx.NewId()
-        self.model_view =wx.Button(self,id,'View 2D', size=(80,23))
-        self.model_view.Bind(wx.EVT_BUTTON, self._onModel2D,id=id)
+        self.model_view = wx.Button(self, id,'View 2D', size=(80, 23))
+        self.model_view.Bind(wx.EVT_BUTTON, self._onModel2D, id=id)
         self.model_view.SetToolTipString("View model in 2D")
-        
         ## class base method  to add view 2d button   
-        self._set_model_sizer(sizer=sizer,box_sizer=boxsizer1, title=title,object= self.model_view )    
-    
-  
+        self._set_model_sizer(sizer=sizer, box_sizer=boxsizer1, 
+                              title=title, object=self.model_view)    
+    
     #def _set_sizer_gaussian(self):
     def _set_sizer_dispersion(self, dispersity):
@@ -140,11 +135,10 @@
         
         """
-        self.fittable_param=[]
-        self.fixed_param=[]
-        self.orientation_params_disp=[]
+        self.fittable_param = []
+        self.fixed_param = []
+        self.orientation_params_disp = []
         #self.temp=[]
-       
         self.sizer4_4.Clear(True)
-        if self.model==None:
+        if self.model == None:
             ##no model is selected
             return
@@ -159,44 +153,43 @@
             self._disp_obj_dict[item] = disp_model
             self.model.set_dispersion(item, disp_model)
-            self.state._disp_obj_dict[item]= disp_model
-            
-            
-        ix=0
-        iy=1
+            self.state._disp_obj_dict[item] = disp_model
+        ix = 0
+        iy = 1
         disp = wx.StaticText(self, -1, ' ')
-        self.sizer4_4.Add(disp,( iy, ix),(1,1), 
+        self.sizer4_4.Add(disp,(iy, ix), (1, 1), 
                            wx.LEFT|wx.EXPAND|wx.ADJUST_MINSIZE, 15)
         ix += 1 
         values = wx.StaticText(self, -1, 'Sigma [A]')
-        values.SetToolTipString(\
-        "Sigma(STD) in the A unit; the standard deviation from the mean value.")
-
-        self.sizer4_4.Add(values,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 
-                          0)
-       
+        hint_msg = "Sigma(STD) in the A unit; the standard "
+        hint_msg += "deviation from the mean value."
+        values.SetToolTipString(hint_msg)
+        self.sizer4_4.Add(values, (iy, ix), (1, 1), 
+                          wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1 
         npts = wx.StaticText(self, -1, 'Npts')
-        npts.SetToolTipString("Number of sampling points for the numerical\n\
-        integration over the distribution function.")
-        self.sizer4_4.Add(npts,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
+        hint_msg = "Number of sampling points for the numerical\n"
+        hint_msg += "integration over the distribution function."
+        npts.SetToolTipString(hint_msg)
+        self.sizer4_4.Add(npts, (iy, ix), (1, 1),
+                          wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         ix += 1 
         nsigmas = wx.StaticText(self, -1, 'Nsigmas')
-        nsigmas.SetToolTipString("   Number of sigmas between which the range\n\
-         of the distribution function will be used for weighting. \n\
-        The value '3' covers 99.5% for Gaussian distribution \n\
-        function.")
-        self.sizer4_4.Add(nsigmas,( iy, ix),(1,1), wx.EXPAND|wx.ADJUST_MINSIZE,
-                           0)
-         
+        hint_msg = "Number of sigmas between which the range\n"
+        hint_msg += "of the distribution function will be used for "
+        hint_msg += "weighting.\n The value '3' covers 99.5% for Gaussian "
+        hint_msg += "  distribution \n function."
+        nsigmas.SetToolTipString(hint_msg)
+        self.sizer4_4.Add(nsigmas, (iy, ix), 
+                          (1, 1), wx.EXPAND|wx.ADJUST_MINSIZE, 0)
         for item in self.model.dispersion.keys():
             if not item in self.model.orientation_params:
-                self.disp_cb_dict[item]= None
-                name0="Distribution of " + item
-                name1=item+".width"
+                self.disp_cb_dict[item] = None
+                name0 = "Distribution of " + item
+                name1 = item + ".width"
                 name2=item+".npts"
                 name3=item+".nsigmas"
                 iy += 1
                 for p in self.model.dispersion[item].keys():
-                    if p=="width":
+                    if p == "width":
                         ix = 0
                         name = wx.StaticText(self, -1,  name0)
@@ -489,11 +482,12 @@
 
         sizer_selection=wx.BoxSizer(wx.HORIZONTAL)
-        self.description_hide = wx.RadioButton(self, -1, 'Hide', style=wx.RB_GROUP)
+        self.description_hide = wx.RadioButton(self, -1, 'Hide', 
+                                               style=wx.RB_GROUP)
         self.description_show = wx.RadioButton(self, -1, 'Show')
        
         
-        if description=="":
+        if description == "":
             self.description_hide.SetValue(True)
-            description=" Description unavailable. Click for details"
+            description = " Description unavailable. Click for details"
             
         self.description = wx.StaticText( self,-1,str(description) )
Index: theoryview/perspectives/theory/theory.py
===================================================================
--- theoryview/perspectives/theory/theory.py	(revision 9e2cfeefbe130c9c954c8c6405d7ebb6e1b34609)
+++ theoryview/perspectives/theory/theory.py	(revision 2f60121365e0ece9b765fb57a132cf4e4b3a15a4)
@@ -9,5 +9,6 @@
 import model_panel
 from model_panel import ModelPanel
-from sans.guicomm.events import NewPlotEvent, StatusEvent 
+from sans.guicomm.events import NewPlotEvent
+from sans.guicomm.events import StatusEvent 
 from sans.guiframe.dataFitting import Data2D
 from sans.guiframe.dataFitting import Theory1D
@@ -17,4 +18,5 @@
 DEFAULT_QMAX = 0.13
 DEFAULT_NPTS = 50
+
 
 class PlotInfo:
@@ -32,5 +34,7 @@
     info= None
     
-class Plugin:
+from sans.guiframe.plugin_base import PluginBase  
+
+class Plugin(PluginBase):
     """
     This class defines the interface for a Plugin class
@@ -40,17 +44,6 @@
     
     def __init__(self, standalone=True):
-        """
-        Abstract class for gui_manager Plugins.
-        
-        """
-        ## Plug-in name. It will appear on the application menu.
-        self.sub_menu = "Theory"        
-        
-        ## Reference to the parent window. Filled by get_panels() below.
-        self.parent = None
-        
-        ## List of panels that you would like to open in AUI windows
-        #  for your plug-in. This defines your plug-in "perspective"
-        self.perspective = []
+        PluginBase.__init__(self, name="Theory", standalone=standalone)
+        
         # Log startup
         logging.info("Theory plug-in started")   
@@ -59,19 +52,7 @@
         self.menu_mng = models.ModelManager()
         # reference to the current running thread
-        self.calc_2D= None
-        self.calc_1D= None
-        
-    def populate_menu(self, id, owner):
-        """
-        Create and return the list of application menu
-        items for the plug-in. 
-        
-        :param id: deprecated. Un-used.
-        :param parent: parent window
-        
-        :return: plug-in menu
-        """
-        return []
-      
+        self.calc_2D = None
+        self.calc_1D = None
+   
     def get_panels(self, parent):
         """
@@ -99,53 +80,5 @@
         return [self.model_panel]
     
-    def get_context_menu(self, graph=None):
-        """
-        This method is optional.
-    
-        When the context menu of a plot is rendered, the 
-        get_context_menu method will be called to give you a 
-        chance to add a menu item to the context menu.
-        
-        A ref to a Graph object is passed so that you can
-        investigate the plot content and decide whether you
-        need to add items to the context menu.  
-        
-        This method returns a list of menu items.
-        Each item is itself a list defining the text to 
-        appear in the menu, a tool-tip help text, and a
-        call-back method.
-        
-        :param graph: the Graph object to which we attach the context menu
-        
-        :return: a list of menu items with call-back function
-        
-        """
-        return []    
-    
-    def get_perspective(self):
-        """
-        Get the list of panel names for this perspective
-        
-        """
-        return self.perspective
-    
-    def on_perspective(self, event):
-        """
-        Call back function for the perspective menu item.
-        We notify the parent window that the perspective
-        has changed.
-        
-        :param event: menu event
-        
-        """
-        self.parent.set_perspective(self.perspective)
-    
-    def post_init(self):
-        """
-        Post initialization call back to close the loose ends
-        
-        """
-        pass
-            
+   
     def draw_model(self, model, data= None,smearer= None,
                    enable1D= True, enable2D= False,
